package com.bwie.domain.request;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class UserReq {

    private Integer userId;

    @NotBlank(message = "用户名称不可为空")
    @Pattern(regexp = "(?=.*[A-Za-z]\\d).{6,16}$",message = "用户名称不合法，因为6-16位的大小写英文和数字组成")
    private String userName;

    @NotBlank(message = "用户密码不可为空")
    @Pattern(regexp = "[a-z]+$",message = "密码只能由字母组成")
    private String userPwd;

    @NotNull(message = "身份不能为空")
    private Integer userRoal;

    private String userPic;

    @NotBlank(message = "电话号不能为空")
    @Pattern(regexp = "^(?:(?:\\+|00)86)?1[3-9]\\d{9}$",message = "手机号格式错误")
    private String userPhone;


}
