package com.bwie.user.controller;

import com.bwie.domain.User;
import com.bwie.domain.request.UserReq;
import com.bwie.result.Result;
import com.bwie.user.service.impl.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
public class UserController {

    @Autowired
    private UserService userService;


    /**
     * Mybits Plus 添加
     * @param userReq
     * @return
     */
    @PostMapping()
    public Result addUser(@RequestBody @Validated UserReq userReq){
        Result result = userService.addUser(userReq);
        return result;
    }

    /**
     * 全局修改
     * @param userReq
     * @return
     */
    @PutMapping()
    public Result updUser(@RequestBody @Validated UserReq userReq){
        Result result = userService.updUser(userReq);
        return result;
    }

    /**
     * 删除
     * @param idList
     * @return
     */
    @DeleteMapping("/dlete")
    public Result delte(@RequestBody Long[] idList){
        Result result = userService.delAll(idList);
        return result;
    }

    @GetMapping("/select")
    public Result<List<User>> selectList(User user){
        Result result = userService.showList(user);
        return result;
    }






}
