package com.bwie.user.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.bwie.domain.User;
import com.bwie.domain.request.UserReq;
import com.bwie.result.Result;
import com.bwie.user.mapper.UserMapper;
import org.springframework.stereotype.Service;
import java.util.Arrays;
import java.util.List;

@Service
public class UserServiceImpl extends ServiceImpl<UserMapper, User> implements UserService{
    @Override
    public Result addUser(UserReq userReq) {
        boolean save = save(User.addBuilder(userReq));
        if(save==true){
            return Result.success();
        }
        return Result.error();
    }

    @Override
    public Result updUser(UserReq userReq) {
        boolean b = updateById(User.updateUser(userReq));
        if(b==false){
            return Result.error();
        }
        return Result.success();
    }

    @Override
    public Result delAll(Long[] idList) {
        boolean b = removeBatchByIds(Arrays.asList(idList));
        if(b==false){
            return Result.error();
        }
        return Result.success();
    }

    @Override
    public Result showList(User user) {
        LambdaQueryWrapper<User> queryWrapper = Wrappers.lambdaQuery();
        Page<User> userPage = new Page<>(user.getPageNum(), user.getPageSize());
        List<User> list = list(userPage, queryWrapper);
        return Result.success(list);
    }
}
